%define		snap	20030517
Summary:	An open-source memory debugger for x86-GNU/Linux
Summary(pl):	Otwarty odpluskwiacz pamici dla Linuksa x86
Name:		valgrind
Version:	1.9.6
Release:	1.%{snap}.1
License:	GPL
ExclusiveArch:	%{ix86}
Group:		Networking/Utilities
#Source0:	http://developer.kde.org/~sewardj/%{name}-%{version}.tar.bz2
#Source0-md5:	fc986c28be6a5f4aa0a52a958d3620c3
Source0:	%{name}-%{snap}.tar.bz2
# Source0-md5: 
URL:		http://developer.kde.org/~sewardj/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# Valgrind binaries should _never_ be stripped
%define		no_install_post_strip	1

# Same name as libpthread
%define		_noautoprovfiles %{_libdir}/%{name}/libpthread.so.0 %{_libdir}/%{name}/libpthread.so %{_libdir}/%{name}/valgrind.so %{_libdir}/%{name}/valgrinq.so

%description
Valgrind is a flexible tool for debugging and profiling Linux-x86
executables. The tool consists of a core, which provides a synthetic
x86 CPU in software, and a series of "skins", each of which is a
debugging or profiling tool. The architecture is modular, so that new
skins can be created easily and without disturbing the existing
structure.

A number of useful skins are supplied as standard. In summary, these
are:
- The memcheck skin detects memory-management problems in your
  programs,
- cachegrind performs detailed simulation of the I1, D1 and L2 caches
  in your CPU and so can accurately pinpoint the sources of cache misses
  in your code,
- addrcheck skin is a lightweight version of memcheck,
- helgrind is designed to find data races in multithreaded programs.

%description -l pl
Valgrind jest elastycznym narzdziem sucym do odpluskwiania i
profilowania programw pod Linuksem. Skada si z rdzenia
dostarczajcego syntetyczny emulowany procesor zgodny z x86 i ze
"skrek" bdcych narzdziami o rnych zastosowaniach. Architektura
programu jest modularna, wobec czego atwo mona stworzy nowe skrki
nie ryzykujc popsucia reszty.

Standardowo dostarczone jest kilka uytecznych skrek:
- memcheck wykrywa problemy z zarzdzaniem pamici w programach,
- cachegrind przeprowadza symulacj pamici cache procesora w celu
  znalezienia miejsc, w ktrych cache zawodzi,
- addrcheck jest lekk wersj memchecka,
- helgrind wykrywa konflikty dostpu w wielowtkowych programach.

%prep
%setup -q -n %{name}

%build
rm -f missing
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	LDFLAGS="" # no strip!
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ACKNOWLEDGEMENTS AUTHORS FAQ.txt NEWS PATCHES_APPLIED
%doc README README_MISSING_SYSCALL_OR_IOCTL TODO
%doc $RPM_BUILD_ROOT%{_docdir}/valgrind/*.html
%attr(755,root,root) %{_bindir}/*
%{_includedir}/*
%{_libdir}/%{name}
